# Progressive Web Apps - A book by Dean Hume
This repository contains the source code for the book *Progressive Web Apps* by Dean Hume.

<a href="https://www.manning.com/books/progressive-web-apps"><img align="right" src="https://images.manning.com/140/184/resize/book/7/0dd9a15-3455-477b-a1ec-74904870c8bd/Hume-PWA-HI-MEAP.png" alt="Dean Hume - Progressive Web Apps"></a>
> Progressive Web Apps takes you, step-by-step, through real world examples and teaches you how to build fast, engaging, and reliable websites. You'll begin by getting the big picture of what Progressive Web Apps are, how they work, and their benefits. Then you'll explore the different approaches that you can use to build them. This hands-on guide gives you a closer look as you dissect a real-world PWA and break down each of its elements. 
>
> -- <cite>[Progressive Web Apps - Manning - Dean Hume](https://www.manning.com/books/progressive-web-apps)</cite>

## Contents

Sample code for each chapter:

- Chapter 3 - [Caching](https://github.com/deanhume/progressive-web-apps-book/tree/master/chapter-3)
- Chapter 4 - [Intercepting Network Requests](https://github.com/deanhume/progressive-web-apps-book/tree/master/chapter-4)
- Chapter 5 - [Look and feel](https://github.com/deanhume/progressive-web-apps-book/tree/master/chapter-5)
- Chapter 6 - [Push notifications](https://github.com/deanhume/progressive-web-apps-book/tree/master/chapter-6)
- Chapter 7 - [Offline browsing](https://github.com/deanhume/progressive-web-apps-book/tree/master/chapter-7)
- Chapter 8 - [Building more resilient applications](https://github.com/deanhume/progressive-web-apps-book/tree/master/chapter-8)
- Chapter 9 - [Keeping your data synchronised](https://github.com/deanhume/progressive-web-apps-book/tree/master/chapter-9)
- Chapter 10 - [Streaming data](https://github.com/deanhume/progressive-web-apps-book/tree/master/chapter-10)
- Chapter 12 - [Troubleshooting Progressive Web Apps](https://github.com/deanhume/pwa-tips-tricks)
